@
@ Konstantenvereinbarungen
@
@ (C) 27/11/90 Martin Patzel
@


@ Archimedes - Hardware

.set NegativeFlag,	0x80000000
.set ZeroFlag,	0x40000000
.set CarryFlag,	0x20000000
.set OverflowFlag,	0x10000000
.set IRQFlag,	0x08000000
.set FIRQFlag,	0x04000000

.set UserMode,	0
.set FIRQMode,	1
.set IRQMode,	2
.set SVCMode,	3

.set VecReset,	0x00		@ Reset-Vektor
.set VecUndefdInstr,	0x04		@ Undefined-Instruction-Vektor
.set VecSWI,	0x08		@ SWI-Vektor
.set VecPrefAbort,	0x0C		@ Prefetch-Abort-Vektor
.set VecDataAbort,	0x10		@ Data-Abort-Vektor
.set VecAddrExcept,	0x14		@ Address-Exception-Vektor
.set VecIRQ,	0x18		@ IRQ-Vektor
.set VecFIRQ,	0x1C		@ FIRQ-Vektor


@ Aufteilung des Speichers via MEMC

.set LogPageBase,	0x00000000	@ Startadr. logisches RAM
.set LogPageEnd,	0x02000000	@ Endadresse logisches RAM
.set PhysPageBase,	0x02000000	@ Startadr. physik. RAM
.set AdrTrnslBase,	0x03800000	@ Startadr. Adresstranslator
.set MEMCControl,	0x036E0000	@ Basisadresse MEMC Control Reg.

@ Aufteilung des logischen Speichers via AOS

.set SysWorkspace,	0x00000000	@ Beginn System Workspace
.set ApplWorkspace,	0x00008000	@ Beginn Application Workspace
.set RAMDisc,	0x01000000	@ Beginn RAM Disk
.set SpriteArea,	0x01400000	@ Sprite Bereich
.set ModuleArea,	0x01800000	@ Modul Bereich
.set SysHeap,	0x01C00000	@ System Heap & SVC-Stack
.set ScreenArea,	0x01F00000	@ Cursor Bereich, Sound DMA, Screen
.set ROMStart,	0x03800000	@ Start des ROMS

.set MinPageSize,	0x00001000	@ 4K
.set MaxPageSize,	0x00008000	@ 32K
.set MaxPages,	128		@ Max. 128 physikalische Pages

.set ProtectFree,	0		@ in allen Modi r/w
.set ProtectOS,	1		@ in User-Mode nur r, sonst r/w
.set ProtectLocked,	3		@ SVC: r/w, OS: r, User: no access

		@ END

